no support for sis 671/771 video cards

Bug #301958 reported by bgerlich on 2008-11-25
462
This bug affects 73 people
Affects Status Importance Assigned to Milestone
Linux Mint
Opinion
Wishlist
Unassigned
X.Org X server
Unknown
High
Arch Linux
New
Undecided
Unassigned
Baltix
Undecided
Unassigned
xserver-xorg-video-sis (Debian)
Fix Released
Unknown
xserver-xorg-video-sis (Fedora)
Won't Fix
Medium

Bug Description

sis 671/771 driver is not available for Ubuntu but there is a working driver in the newest Mandriva. The driver in Mandriva is based on http://www.linuxconsulting.ro/xorg-drivers/ ( I think) .

Not having the driver makes the installation of Ubuntu a PITA on laptops with sis 671/771 based integrated graphics card. Making the laptop usable requires playing with xorg.conf and module compilation or switching to Vesa 1280x768 mode deformed to fit 1280x800 LCD.

Description of problem:
Current sis driver doesn't support SIS671, only vesa driver works. Therefore all SIS671 users doesn't have accelerated support at all.

Possible solution: port/merge SIS671 driver support from iMedia's sis-drv source code, available here: http://www.linuxconsulting.ro/xorg-drivers/src/xf86-video-sis-imedia.tgz . Can anyone port/merge it, please?

Version-Release number of selected component (if applicable):
ALL

How reproducible:
N/A

Steps to Reproduce:
N/A

Actual results:
N/A

Expected results:
N/A

Additional info:
lspci shows:
"
...
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter (rev 10)
..."

237 comments hidden view all 275 comments

sis 671/771 driver is not available for Ubuntu but there is a working driver in the newest Mandriva. The driver in Mandriva is based on http://www.linuxconsulting.ro/xorg-drivers/ ( I think) .

Not having the driver makes the installation of Ubuntu a PITA on laptops with sis 671/771 based integrated graphics card. Making the laptop usable requires playing with xorg.conf and module compilation or switching to Vesa 1280x768 mode deformed to fit 1280x800 LCD.

Timo Aaltonen (tjaalton) wrote :

seems like that work has not been submitted upstream. Instead they've forked 0.9.1 and added the changes on top of it, without any changelog. Nice.

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi bgerlich,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Changed in xserver-xorg-video-sis:
status: New → Incomplete
luca (l-savio) wrote :

I tried with new mandriva on my daghter's Asus with SiS 671/771, but does not work: resolution is correct, but just 16 colors! Last DreamLinux and Opensuse work fine with video (but have several other problems, Intrepid is the only OS that makes usable that laptop (Asus X58C)).

luca (l-savio) wrote :

Hi Bryce.
Maybe it's useful this one, having the same problem. Intrepid has been installed few minutes ago, all synaptic upgrades done, xorg.conf was not modified. screen resolution available: 800x600 or 640x400 @61Hz, sis 671/771.

bgerlich (bgerlich) wrote :

For convenience I have prepared a debian package with sisimedia driver patched by fedora forum's user "bahamot" to work with xserver 1.5.x.

I have made a few very minor changes so that the driver would seem more seamless, namely - buggy 2D acceleration is now disabled by default. I have also included a pciid file, so that the card is detected automatically. Just install the deb and restart your xserver.

Remember to remove any driver names and such from xorg conf manualy or by typing sudo dpkg-reconfigure -phigh xserver-xorg in terminal.

bgerlich (bgerlich) wrote :

Oh, and this is Ubuntu Intrepid version only, will provide a Jaunty soon.

luca (l-savio) wrote :

Hi bgerlich, I got your driver and it works fine! I hope it will be included in Jaunty. Thanks and happy new year.

Stephan202 (sschroev) wrote :

I'd like to confirm that this driver works on Intrepid for the Asus X58C laptop that I have here. Many thanks!

230 comments hidden view all 275 comments

This doesn't work in Fedora 10 either.

229 comments hidden view all 275 comments

I tried to used this package, but it divides my screen in two horizontal screens...

mikeloco14 (mikeloco14) wrote :

It works fine, it is much faster than stupid vesa... But when i restarted X, it looked like widescreen compressed on my 4:3 monitor... The monitor said it was 800x600, so I went to System -> Preferences -> Screen Resolution. It said it was 960x600, and there was no 1024x768... My monitor is capable of 1024x768 and so is the card (in windows it could use 1024x768 and so it could with vesa.)

I don't know how to fix this... Could someone help!???

This are the log and configuration file with the xserver-video-sis671 installed. After installing the package, the display turns into two horizontal 640x400 screens, mirroring each other. Really weird...

bgerlich (bgerlich) wrote :

Sulamita - simply load a default xorg.conf using "sudo dpkg-reconfigure -phigh xserver-xorg" . Your problem is most probably caused by the monitor configuration which is not needed.

On a similar note, it took me long enough but I finally got around to it.

Below is a beta version of sis 771/671 driver package for Ubuntu Jaunty. Now with working 2D Acceleration (XAA).

As before - simply install the deb package and make sure that your xorg.conf is the one provided by the system (no modifications required).

Thank you very much, it works perfect for me!

mikeloco14 (mikeloco14) wrote :

That did not work for me.
Forgot to say, it's Ubuntu Intrepid.

bgerlich (bgerlich) wrote :

Have you tried "sudo dpkg-reconfigure -phigh xserver-xorg" ?

Jeff (jeffmart) wrote :

Report for beta jaunty in SiS671 onboard notebook: Work like a charm for me! Thanx!!! We just need a working 3D driver now... :) There are a brazilian distro, called Satux, that has one. It is the original distro that is selling with my notebook. But it is Debian Etch based, so, all in there is so obsolete...

bgerlich (bgerlich) wrote :

We won't have it any time soon. SiS has written a 3D driver actually. It is based on standard sis xorg driver but it has been not worked on since a long time. It doesn't use the __driDriverExtensions API so it won't work with Mesa > 7.1 (intrepid and up). It doesn't look like Satux team is working on it ... so we have no chance for a 3D driver soon, at least until SiS releases the source code.

bgerlich (bgerlich) wrote :

Here's a least modified version of the source, that's the most similar to xorg sis driver and works properly. One unnecessary thing I left is a check that stops the driver from working with chips other than sis 771/671 - the only chip this version of the driver was tested on.

220 comments hidden view all 275 comments

What is missing is the actual driver. Without the driver is not possible (at least so far) to adjust the video correctly.

In other forums, only the distribution Satux has this driver originally authorized by the SIS.

Att, Diogo

219 comments hidden view all 275 comments

This driver supports 1440x900 resolution?

Ropechoborra (securetux) wrote :

Thank you very much ! This driver works perfectly on an Olivetti 520 laptop !

Chipping (chipping) wrote :

I finally took the plunge and decided to experiment with a linux operating system. Having done a little research over the weekend I decided to install Ubuntu 9.04 as a second OS on my Fujitsu Siemens Esprimo laptop. On the whole I am really pleased with the install and initial operation of the new OS but the laptop has a SiS 671 based GPU and although the built in monitor works well I am unable to output the display to an external monitor or projector . I came to this site looking for an alternative driver. I have downloaded the version uploaded on April 4th and extracted the files to my desktop but I cannot figue out how to install it. Have I downloaded the correct file and if so could someone please provide me with a step by step instalation guide?

Chipping (chipping) wrote :

Ok I have installed the deb 2D version instead this is working fine with an external monitor but not with my tv which displays a signal that mode is not supported. Does anyone know of a solution to this?

I am a total Linux newbie, having just installed Ubuntu 9.04 on an Acer Aspire 3000 laptop which is having serious issues running Windows XP. It has an SIS graphics chipset. The display of Ubuntu on the laptop is terrible!
I have downloaded and applied "xorg-driver-sis671_0.9_i386.deb" (it tells me the package is already applied, or something).
To illustrate the problem I took a screenshot on the laptop, transferred it to my desktop (running Windows XP Pro). To my surprise, the screenshot looks perfect!
The attached picture shows my desktop PC displaying the screenshot saved on the laptop next to it. The laptop shows its usual Ubuntu picture. Clearly there is a major difference! The laptop seems to only be displaying a few colours and has a constantly scrolling horizontal flicker.
Any ideas? I would be most grateful for any assistance.

bgerlich (bgerlich) wrote :

You have some problems with the rom data on your graphics card. Add the line

Option "useROMData " "False"

to the "Device" section on your /etc/X11/xorg.conf . You can edit it typing the command sudo gedit /etc/X11/xorg.conf in the terminal (you'll find that in Applications->Accesories).

The "Device" snippet will look something like that after the edit:

Section "Device"
 Identifier "Configured Video Device"
        Option "useROMData " "False"
EndSection

Thiago Galesi (thiagogalesi) wrote :

bgerlich driver works good on 01:00.0 0300: 1039:6351 (rev 10), thanks!

not much faster than 9.04 netbook remix interface then vesa though...

Not faster at all actually. Netbook Remix interface uses the Clutter toolkit
- that's basically OpenGL wrapped in a simpler API, so it requires 3D
acceleration to get a performance boost.

I've written to maintainer of the satux driver, and he said that their driver is based on code from here : http://www.linuxconsulting.ro/xorg-drivers/ with some patches. He promised to publish them on his blog - but haven't done this yet, apparently.

Daniel Uranga (fersbery-77) wrote :

I think i have the same problem than Sulamita Garcia. My screen divides in two. I send a photo to illustrate.

bgerlich (bgerlich) wrote :

Daniel, post your /etc/X11/xorg.conf and your /var/log/Xorg.log.0

Daniel Uranga (fersbery-77) wrote :

The driver for 8.04 works ok. In only have this problem with 8.10 and 9.04.

209 comments hidden view all 275 comments

This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 9 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

208 comments hidden view all 275 comments
Daniel Uranga (fersbery-77) wrote :

@bgerlich: what do you think causes the error that i have posted here? Is there any hope that might fix this?

Here i post the output of lspci:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 671MX
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual PCI-to-PCI bridge)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS968 [MuTIOL Media IO] (rev 01)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev 01)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter (rev 02)
00:05.0 IDE interface: Silicon Integrated Systems [SiS] SATA Controller / IDE mode (rev 03)
00:06.0 PCI bridge: Silicon Integrated Systems [SiS] PCI-to-PCI bridge
00:07.0 PCI bridge: Silicon Integrated Systems [SiS] PCI-to-PCI bridge
00:0f.0 Audio device: Silicon Integrated Systems [SiS] Azalia Audio Controller
00:1f.0 PCI bridge: Silicon Integrated Systems [SiS] PCI-to-PCI bridge
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter (rev 10)
03:00.0 System peripheral: JMicron Technologies, Inc. Unknown device 2382
03:00.2 SD Host controller: JMicron Technologies, Inc. Unknown device 2381
03:00.3 System peripheral: JMicron Technologies, Inc. Unknown device 2383
03:00.4 System peripheral: JMicron Technologies, Inc. Unknown device 2384

209 comments hidden view all 275 comments

Doesn't work in Fedora 11 either.

Besides accelerated support, vesa doesn't support native resolution 1280x800 of some notebooks with SiS 771/671.

There's driver that support 771/671, the source code can be downloaded from:
http://ncc-1701a.homelinux.net/~linux-sis/downloads/xorg-driver-sis671_0.9.tar.gz

Here's the story on that driver .........
1. I took the original driver that supports 671/771 from: http://www.linuxconsulting.ro/xorg-drivers/
2. I modified it to get it compiled on new xorg server, namely the new pci_struct format. I took the modification from xorg's SIS source code: http://cgit.freedesktop.org/xorg/driver/xf86-video-sis/
3. The result is somewhat working driver (more importantly compilable), but has many bugs. As I don't have the required expertise, so I uploaded it to rapidshare and posted in fedoraforum: http://forums.fedoraforum.org/showthread.php?t=195483
4. Bartlomiej Gerlich (Ubuntu forums) fixed the bugs and get the 2D acceleration working. http://ohioloco.ubuntuforums.org/showthread.php?t=958967&page=12

Question is, can we included this as temporary solution in rawhide or Fedora 12 until we get proper solution? (By proper I mean the support code is integrated into xorg's SIS driver.)

Not really.

The correct method is to fix the upstream X.org driver with patches taken from the tarball you have.

Then everyone benefits and Fedora doesn't have to carry a crappy solution for ever.

If we let in a temporary hack, it probably won't ever happen as there is no X.org SIS maintainer anymore.

210 comments hidden view all 275 comments
Daniel Uranga (fersbery-77) wrote :

Another photo. I will try to hack the code to make it work, where could I start?

Suggestion: It looks like a non-free driver for SiS graphics cards exists - this should be packaged alongside / similarly to the nvidia non-free graphics drivers?

http://ubuntuforums.org/showthread.php?t=615094&highlight=M671

tags: added: needs-packaging
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

summary: - no working driver for sis 671/771 video cards
+ [needs-packaging] no working driver for sis 671/771 video cards
Changed in xserver-xorg-video-sis (Ubuntu):
importance: Undecided → Wishlist

At least for me, the driver from Sis doesnt works. I can only get the video working correctly with Ubuntu 8.04.

luca (l-savio) wrote :

Will bgerlich's driver work with Karmic?

LoCusF (suomalainen-aleksi) wrote :

I can confirm that Djalma's workaround works perfectly. Now we just need similar packages for Ubuntu :)

205 comments hidden view all 275 comments

*** Bug 516417 has been marked as a duplicate of this bug. ***

(In reply to comment #6)
> Not really.
>
> The correct method is to fix the upstream X.org driver with patches taken from
> the tarball you have.
>
> Then everyone benefits and Fedora doesn't have to carry a crappy solution for
> ever.
>
> If we let in a temporary hack, it probably won't ever happen as there is no
> X.org SIS maintainer anymore.

If that within Fedora or Upstream?

(In reply to comment #8)
> If that within Fedora or Upstream?

Sorry, I don't understand the question.

(In reply to comment #9)
> (In reply to comment #8)
> > If that within Fedora or Upstream?
>
> Sorry, I don't understand the question.

No Maintainer in Fedora or up at Xorg?

http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads

Will this top note, work as temporary solution in Fedora?

Have quick working *fix* no codeing skills required.

I use F11 64 bit Gnome
su\sudo yum install system-config-display

su\sudo firefox http://www.xs4all.nl/~mgj1/SiS/

http://www.xs4all.nl/~mgj1/SiS/
sis671_drv.so save to

/usr/lib64/xorg/modules/drivers/

then go to:
System > Administration > Display
and sis617 is there under hardware

apply, and it sets up a correct xorg.conf
oh reboot, it may flicker slightly on bootup.

(In reply to comment #12)
> Have quick working *fix* no codeing skills required.
>
> I use F11 64 bit Gnome
> su\sudo yum install system-config-display
>
> su\sudo firefox http://www.xs4all.nl/~mgj1/SiS/
>
> http://www.xs4all.nl/~mgj1/SiS/
> sis671_drv.so save to
>
> /usr/lib64/xorg/modules/drivers/
>
> then go to:
> System > Administration > Display
> and sis617 is there under hardware
>
> apply, and it sets up a correct xorg.conf
> oh reboot, it may flicker slightly on bootup.

The above solution did not work for me. I am running a completed updated version of Fedora 10 i386 and this is my lspci output

VGA compatible controller: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter (rev 10) (prog-if 00 [VGA controller])

I get a blank screen after restarting X after using the sis671_drv.so file . Had to return back to vesa.

I would say if you brought your problem back into the main fedora-list.
There may be many using F10, you might direct you to a cause for this.
Listing the bug url

As there is no official maintainer for the sis

(In reply to comment #12)
> Have quick working *fix* no codeing skills required.
>
> I use F11 64 bit Gnome
> su\sudo yum install system-config-display
>
> su\sudo firefox http://www.xs4all.nl/~mgj1/SiS/
>
> http://www.xs4all.nl/~mgj1/SiS/
> sis671_drv.so save to
>
> /usr/lib64/xorg/modules/drivers/
>
> then go to:
> System > Administration > Display
> and sis617 is there under hardware
>
> apply, and it sets up a correct xorg.conf
> oh reboot, it may flicker slightly on bootup.

Would you please give some instructions to those willing to compile it? Did you get the sources from the link you mentioned in comment #11 (http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads) ? Which file did you use? Did you apply any additional patch?

Thanks

(In reply to comment #15)
> (In reply to comment #12)
> > Have quick working *fix* no codeing skills required.
> >
> > I use F11 64 bit Gnome
> > su\sudo yum install system-config-display
> >
> > su\sudo firefox http://www.xs4all.nl/~mgj1/SiS/
> >
> > http://www.xs4all.nl/~mgj1/SiS/
> > sis671_drv.so save to
> >
> > /usr/lib64/xorg/modules/drivers/
> >
> > then go to:
> > System > Administration > Display
> > and sis617 is there under hardware
> >
> > apply, and it sets up a correct xorg.conf
> > oh reboot, it may flicker slightly on bootup.
>
> Would you please give some instructions to those willing to compile it? Did you
> get the sources from the link you mentioned in comment #11
> (http://ncc-1701a.homelinux.net/~linux-sis/index.php?page=Downloads) ? Which
> file did you use? Did you apply any additional patch?
>
> Thanks

All, I did wan mention a url, and asked a Q? Comment 11, has nothing to do with comment 12. Both are just the result of Google.

Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Since there was many other unrelated packages in '*-updates-testing', I did:

yum update xorg-x11-* --enablerepo=updates-testing

and got:

Updated:
  xorg-x11-drv-evdev.x86_64 0:2.2.6-1.fc11
  xorg-x11-drv-intel.x86_64 0:2.7.0-8.fc11
  xorg-x11-drv-nouveau.x86_64 1:0.0.12-41.20090528git0c17b87.fc11
  xorg-x11-drv-openchrome.x86_64 0:0.2.904-1.fc11.1
  xorg-x11-server-Xnest.x86_64 0:1.6.4-0.3.fc11
  xorg-x11-server-Xorg.x86_64 0:1.6.4-0.3.fc11
  xorg-x11-server-common.x86_64 0:1.6.4-0.3.fc11

The only improvement is that now X will fall back automatically to vesa driver. If I remember, before I got no graphics mode at all and had to set vesa driver manually in xorg.conf.

There was no update to xorg-x11-drv-sis, so I wasn't expecting too much.

Created attachment 367761
Xorg.log with xorg-x11-server-Xorg-1.6.4-0.3.fc11.x86_64

This log was generated with no /etc/X11/xorg.conf file.

I downloaded the FC12 Beta live CD and just started it - and The only resolution that it takes is 800x600 - same case in the past versions of Fedora - as it does not had a /etc/X11/Xorg.conf file - I could not see if this is what driver is it using - but for sure it does not accept more than 800x600 - I will try a Xorg -configure to see if manually canfiguring can do something - but for now - no improvements on the situation.

I can confirm that this bug is still prevalent as observed while testing using the FC12 Beta Live CD. Symptoms are similar to the ones mentioned in the comment above. The default resolution is 800x600 which is also the maximum resolution allowed. I hope that sis releases the source of some of their drivers, so that we can atleast get a 2D working driver in the future. I hope the manufacture releases us from our suffering.

Sorry I don't have access to the VGA now as the unit has been used on work place.

The driver for 'SiS 771/671 PCIE VGA Display Adapter' is not working on Fedora 12. Only works in VESA mode.

Changed in xserver-xorg-video-sis (Ubuntu):
status: Incomplete → Triaged
Changed in xorg-server:
status: Unknown → Confirmed

This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 11 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

The problem still exists in Fedora 13.

I'm having lots of trouble finding a driver that works with Fedora 13 and SIS 771/661 laptop (it's a Casper W765S VTT4400D).. Currently is uses the VESA driver after its install.

There is a driver for recents versions of Xorg server on http://estebanordano.com.ar/sis-m671m672-driver-for-xorg-xserver-7-5-on-debian-sidux/

The driver has only 2D capabilities but it is good.

This driver follows the same code design that Xorg sis driver follows, but it was not merget to the mainstream driver until now.

A 3D version is obtained through SiS distributors, but the distributed version is old and doesn't support recent versions of Xorg.

Regards.

Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in xorg-server:
importance: Unknown → Medium
Changed in xserver-xorg-video-sis (Debian):
status: Unknown → New
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
Pander (pander) on 2012-07-12
tags: added: 12.10
Timo Aaltonen (tjaalton) on 2012-10-11
summary: - [needs-packaging] no working driver for sis 671/771 video cards
+ no support for sis 671/771 video cards
fcole90 (fcole90) on 2013-02-11
affects: xserver-xorg-video-sis (Ubuntu) → linuxmint
Changed in linuxmint:
status: Triaged → Confirmed
Pander (pander) on 2013-04-27
tags: added: 13.04 13.10
removed: 12.10
2 comments hidden view all 275 comments

Please restore support for this driver. See https://bugs.launchpad.net/debian/+source/xserver-xorg-video-sis/+bug/301958 It was working (somewhat) up to Ubuntu 12.04 but on 12.10 and on 13.04 it does not work anymore.

the work of Antonio J. de Oliveira (ajoliveira) can be used but someone of Xorg should help out on this.

Fixing this would again enable using Xorg on many laptops with Sis 771/671 graphic cards.

I would be more than happy to provide financial support or compensation for whoever fixes this bug. We could create feature request funding at https://www.catincan.com/

Good news, here is a workable driver but without acceleration at the moment:
  http://lists.x.org/archives/xorg-devel/2013-May/036222.html

(In reply to comment #7)
> Good news, here is a workable driver but without acceleration at the moment:
> http://lists.x.org/archives/xorg-devel/2013-May/036222.html

This is just great!
But could anyone please point to the source code with all appropriate patches applied? Is gitorious repo most current?

5 comments hidden view all 275 comments

Bug is still exist in F19 and probably should be reopened.

Pander (pander) on 2013-10-23
tags: added: 14.04

I am facing the same problem in F19. It must be reopened.

Changed in xserver-xorg-video-sis (Debian):
status: New → Fix Released
31 comments hidden view all 275 comments
hede (michael-heide) wrote :

With Ubuntu 14.04 there's still no support for SiS 671/771. So I've made a deb from the Arch Linux Sources (xf86-video-sisimedia) and added it to my ppa. It compiles for i386 but because of bad code quality the AMD64 build is rejected (even if it compiles, it's supposed to segfault because of implicit integer->pointer conversions).

I'm using the driver with Ubuntu 14.04 i386 and it's basically working. There's no 3D acceleration and even 2D is SLOW.

Pander (pander) wrote :

I have a laptop with such a graphics card and use to build the driver for myself on it. If someone would like to actively support the driver I could send you the laptop of you pay for the shipping. Send me a personal message *only* if you are seriously interested.

Changed in linuxmint:
status: Confirmed → Opinion
Renno Reinurm (rreinurm) wrote :

Thanx for your work! I tried to give the second life for FujitsuSiemens Esprimo laptop with Lubuntu 14.04 and had an interesting challenge to get video working. There are still some performance/quality issues then playing videos, but other use cases are working much better than using vesa. Just curious, the provided xorg.conf in early postage is enough, or is there some options which could help to optimize performance even more?

35 comments hidden view all 275 comments

(In reply to Ildar Muyukov from comment #9)
> This is just great!
> But could anyone please point to the source code with all appropriate
> patches applied? Is gitorious repo most current?

https://github.com/gununu/xf86-video-sis-stable

I'm not sure if this supersede or complement Arch patches though https://github.com/rkrell/xf86-video-sisimedia

Changed in xserver-xorg-video-sis (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-sis/issues/6.

Changed in xorg-server:
importance: Medium → High
status: Confirmed → Unknown
Displaying first 40 and last 40 comments. View all 275 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.